#nav {
    position: fixed;
    top: 15px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 900;
    padding: 0 20px;
    height: 85px;
    max-height: 85px;
    width: 100%;
    max-width: 960px;
    display: grid;
    grid-template-columns:1fr auto 1fr;
    align-items: center;
    background: rgba(10, 10, 10, 0.5);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(20px);
    border: 1px solid rgba(255,255,255,0.1);
    border-radius: 100px;
    transition: all 0.35s ease;

}

#nav.solid {
    background: rgba(8,8,8,0.8);
    border-color: rgba(255,255,255,0.13);
}

.logo {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    grid-column: 2;
}

.logoImage {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    object-fit: cover;
    border: 2px solid rgba(255,255,255,0.8);
    flex-shrink: 0;
    transition: all 0.35s ease;
}

.navbar-name {
    font-family: 'Space Grotesk', sans-serif;
    font-size: 15px;
    font-weight: 800;
    color: #fff;
    letter-spacing: -0.01em;
}

.navLinks {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 25px;
    grid-column: 3;
}

.navLinks-left {
    display: flex;
    align-items: center;
    justify-items: flex-start;
    gap: 25px;
    grid-column: 1;
    margin-left: 15px;
}

.navLinks a, 
.navLinks-left a{ 
    font-size: 14px;
    font-weight: 400;
    color: rgba(255,255,255,0.6);
    text-decoration: none;
    transition: 0.2s;
    letter-spacing: 0.01em;
}


.navLinks a:hover,
.navLinks-left a:hover 
{
    color: #fff;
}

.applyBtn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    background: linear-gradient(135deg, #0071E3, #00C2A8);
    padding: 0 24px;
    height: 55px;
    border: none;
    border-radius: 999px;
    text-decoration: none;
    box-shadow: 0 8px 24px rgba(0, 113, 227, 0.25);
    transition: all 0.3s ease;
    cursor: pointer;
    transition: all 0.35s ease;
}

.applyBtn:hover {
    box-shadow: 0 0 30px rgba(0, 194, 168, 0.4);
    transform: scale(1.03);
}

#hamburger {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    color: #fff;
    padding: 4px;
    grid-column: 3;
    justify-self: end;
}

.mobileMenu {
    display: none;
    position: fixed;
    inset: 0;
    background-color: rgba(0,0,0,0.97);
    z-index: 900;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.mobileMenu.open {
    display: flex;
}

.mobileMenu a {
    font-family: 'Space Grotesk', sans-serif;
    font-size: 30px;
    font-weight: 700;
    color: rgba(255,255,255,0.8);
    text-decoration: none;
    transition: 0.2s;
}

.mobileMenu a:hover {
    color: #00C2A8;
}


@media (max-width: 768px) {
    #nav {
        width: calc(100% - 32px);
        top: 12px;
        grid-template-columns: auto 1fr auto;
    }

    .navLinks-left,
    .navLinks {
        display: none;
    }

    #hamburger {
        display: block;
    }

    .logo {
        grid-column: 2;
        justify-content: center;
    }
}

#nav.shrink {
    height: 60px;
    max-height: 70px;
    padding: 0 16px;
    background: rgba(8,8,8,0.85);
    backdrop-filter: blur(20px);
}

#nav.shrink .logoImage {
    width: 50px;
    height: 50px;
}

#nav.shrink .navbar-name {
    font-size: 13px;
}

#nav.shrink .navLinks a,
#nav.shrink .navLinks-left a {
    font-size: 13px;
}

#nav.shrink .applyBtn {
    height: 46px;
    padding: 0 20px;
    font-size: 13px;
}